Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
  • Статус работы сервисов
  • Marketplace
    • Популярные
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Облако для интеграторов
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Контент-программа
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex Cloud Registry
  • Начало работы
  • Управление доступом
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • ForceDelete
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
        • ListIpPermissions
        • SetIpPermissions
        • UpdateIpPermissions
        • ListArtifacts
  • Аудитные логи Audit Trails

В этой статье:

  • gRPC request
  • ListArtifactsRequest
  • ListArtifactsResponse
  • Artifact
  • Content
  • DockerContent
  • ImageManifest
  • Descriptor
  • ManifestList
  • PlatformManifest
  • Platform
  1. Справочник API
  2. gRPC (англ.)
  3. Registry
  4. ListArtifacts

Yandex Cloud Registry API, gRPC: RegistryService.ListArtifacts

Статья создана
Yandex Cloud
Обновлена 3 июня 2026 г.
  • gRPC request
  • ListArtifactsRequest
  • ListArtifactsResponse
  • Artifact
  • Content
  • DockerContent
  • ImageManifest
  • Descriptor
  • ManifestList
  • PlatformManifest
  • Platform

Retrieves the list of registry artifact resources in the specified registry.

gRPC requestgRPC request

rpc ListArtifacts (ListArtifactsRequest) returns (ListArtifactsResponse)

ListArtifactsRequestListArtifactsRequest

{
  "registry_id": "string",
  "path": "string",
  "page_size": "int64",
  "page_token": "string"
}

Field

Description

registry_id

string

ID of the registry artifact to list repositories in.
To get the registry ID use a RegistryService.List request.

The maximum string length in characters is 50.

path

string

The path to a specific node where the registry artifact is located.

page_size

int64

The maximum number of results per page to return. If the number of available
results is larger than page_size,
the service returns a [ListRepositoriesResponse.next_page_token]
that can be used to get the next page of results in subsequent list requests.
Default value: 10.

Acceptable values are 0 to 1000, inclusive.

page_token

string

Page token. To get the next page of results, set page_token to the
ListArtifactsResponse.next_page_token returned by a previous list request.

The maximum string length in characters is 100.

ListArtifactsResponseListArtifactsResponse

{
  "artifacts": [
    {
      "id": "string",
      "path": "string",
      "name": "string",
      "kind": "Kind",
      "status": "Status",
      "created_at": "google.protobuf.Timestamp",
      "created_by": "string",
      "modified_at": "google.protobuf.Timestamp",
      "modified_by": "string",
      "properties": "map<string, string>",
      "content": {
        // Includes only one of the fields `docker`
        "docker": {
          // Includes only one of the fields `image_manifest`, `manifest_list`
          "image_manifest": {
            "config": {
              "digest": "string",
              "size": "int64"
            },
            "layers": [
              {
                "digest": "string",
                "size": "int64"
              }
            ]
          },
          "manifest_list": {
            "manifests": [
              {
                "manifest_descriptor": {
                  "digest": "string",
                  "size": "int64"
                },
                "platform": {
                  "architecture": "string",
                  "os": "string",
                  "os_version": "string",
                  "variant": "string"
                }
              }
            ]
          },
          // end of the list of possible fields
          "manifest_digest": "string"
        }
        // end of the list of possible fields
      }
    }
  ],
  "next_page_token": "string"
}

Field

Description

artifacts[]

Artifact

List of Registry artifact resources.

next_page_token

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListRegistriesRequest.page_size, use
the next_page_token as the value
for the ListArtifactsRequest.page_token query parameter
in the next list request. Each subsequent list request will have its own
next_page_token to continue paging through the results.

ArtifactArtifact

A Artifact resource.

Field

Description

id

string

Output only. ID of the artifact.

path

string

Path where the artifact is located.

name

string

Name of the artifact.

kind

enum Kind

Kind of the artifact.

  • FOLDER: Artifact kind is folder.
  • PACKAGE: Artifact kind is package.
  • ARTIFACT: Artifact kind is artifact.

status

enum Status

Output only. Status of the artifact.

  • CREATING: Artifact status is being created.
  • ACTIVE: Artifact status is ready to use.
  • DELETING: Artifact status is being deleted.
  • DELETED: Artifact status is deleted.

created_at

google.protobuf.Timestamp

Output only. Creation timestamp in RFC3339 text format.

created_by

string

Output only. ID of the user or service account who created the artifact.

modified_at

google.protobuf.Timestamp

Output only. Modification timestamp in RFC3339 text format.

modified_by

string

Output only. ID of the user or service account who last modified the artifact.

properties

object (map<string, string>)

Key-value properties associated with the artifact.

content

Content

Content of the artifact.

ContentContent

Content of the artifact, specific to its type.

Field

Description

docker

DockerContent

Docker-specific content.

Includes only one of the fields docker.

DockerContentDockerContent

Docker-specific content of the artifact.

Field

Description

image_manifest

ImageManifest

Single-platform image manifest.

Includes only one of the fields image_manifest, manifest_list.

manifest_list

ManifestList

Multi-platform manifest list.

Includes only one of the fields image_manifest, manifest_list.

manifest_digest

string

Digest of the manifest.

ImageManifestImageManifest

Image manifest describing a single-platform Docker image.

Field

Description

config

Descriptor

Descriptor of the image configuration.

layers[]

Descriptor

Descriptors of the image layers.

DescriptorDescriptor

Descriptor of a content blob (config, layer, or manifest).

Field

Description

digest

string

Digest of the content.

size

int64

Size of the content in bytes.

ManifestListManifestList

Manifest list describing a multi-platform Docker image.

Field

Description

manifests[]

PlatformManifest

List of platform-specific manifests.

PlatformManifestPlatformManifest

Platform-specific manifest entry within a manifest list.

Field

Description

manifest_descriptor

Descriptor

Descriptor of the platform-specific manifest.

platform

Platform

Platform this manifest targets.

PlatformPlatform

Platform describes the target OS and architecture of an image.

Field

Description

architecture

string

CPU architecture.

os

string

Operating system.

os_version

string

OS version.

variant

string

CPU variant.

Была ли статья полезна?

Предыдущая
UpdateIpPermissions
Следующая
Overview
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»